Bug 135678 - CAN-2004-0891 MSN protocol buffer overflow.
CAN-2004-0891 MSN protocol buffer overflow.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: gaim (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Reed
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-14 08:18 EDT by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-20 15:44:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2004-10-14 08:18:41 EDT
Buffer overflow when receiving unexpected sequence of MSNSLP messages
Affected code: src/protocols/msn/slplink.c memcpy was used without
checking the size of the buffer before copying to it.  Additionally, a
logic flaw was causing the wrong buffer to be used as the destination
for the copy under certain circumstances.

This issue affects gaim 0.79-1.0.1
Comment 1 Josh Bressers 2004-10-19 14:02:30 EDT
public, removing embargo
Comment 2 Josh Bressers 2004-10-20 15:44:11 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-604.html

Note You need to log in before you can comment on or make changes to this bug.